| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::Utils::RegEx::matchList Class Reference

`#include <GaudiUtils/RegEx.h>`

Collaboration diagram for Gaudi::Utils::RegEx::matchList:
[legend]

## Public Member Functions
template<typename C >
| matchList (const C &c)
bool | Or (const std::string &test) const
bool | And (const std::string &test) const

## Private Attributes
std::vector< boost::regex > | m_regs

## Detailed Description

Definition at line 27 of file RegEx.h.

## Constructor & Destructor Documentation

template<typename C >

Gaudi::Utils::RegEx::matchList::matchList | ( | const C & | c | ) |
| inline

Definition at line 30 of file RegEx.h.

30 {
31 m_regs.reserve(c.size());
32 std::transform( std::begin(c), std::end(c),
33 std::back_inserter(m_regs),
34 [](typename C::const_reference i) { return boost::regex{i}; } );
35 }
gaudirun.c
tuple c
Definition: gaudirun.py:391
std::end
T end(T...args)
std::begin
T begin(T...args)
std::back_inserter
T back_inserter(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:28
std::transform
T transform(T...args)
ana.i
list i
Definition: ana.py:128
std::vector::reserve
T reserve(T...args)

## Member Function Documentation

bool Gaudi::Utils::RegEx::matchList::And | ( | const std::string & | test | ) | const
| inline

Definition at line 43 of file RegEx.h.

43 {
44 return std::all_of( std::begin(m_regs), std::end(m_regs),
45 [&](const boost::regex& r) {
46 return boost::regex_match(test, r);
47 });
48 }
std::end
T end(T...args)
std::begin
T begin(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:28
std::all_of
T all_of(T...args)

bool Gaudi::Utils::RegEx::matchList::Or | ( | const std::string & | test | ) | const
| inline

Definition at line 37 of file RegEx.h.

37 {
38 return std::any_of( std::begin(m_regs), std::end(m_regs),
39 [&](const boost::regex& r) {
40 return boost::regex_match(test, r);
41 });
42 }
std::end
T end(T...args)
std::begin
T begin(T...args)
Gaudi::Utils::RegEx::matchList::m_regs
std::vector< boost::regex > m_regs
Definition: RegEx.h:28
std::any_of
T any_of(T...args)

## Member Data Documentation

std::vector<boost::regex> Gaudi::Utils::RegEx::matchList::m_regs
| private

Definition at line 28 of file RegEx.h.

The documentation for this class was generated from the following file:

- GaudiUtils/GaudiUtils/RegEx.h